<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRoleUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('role_user', function (Blueprint $table) {
            $table->unsignedInteger("role_id");
            $table->unsignedInteger("user_id");
            $table->foreign("role_id")->references('id')->on('roles')
                  ->onDelete('cascade');
            $table->foreign("user_id")->references('id')->on('users')
                  ->onDelete('cascade');

            $table->primary(['role_id', 'user_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('role_user');
    }
}
